diff options
author | cvs2svn <cvs2svn@FreeBSD.org> | 2008-05-31 23:01:15 +0000 |
---|---|---|
committer | cvs2svn <cvs2svn@FreeBSD.org> | 2008-05-31 23:01:15 +0000 |
commit | a54fe1ca9c33931d7c4381a84ee11454f9831c08 (patch) | |
tree | 16cc7f849128603b27ba13f7bdb8ae11e1eadd30 /www/squid31/files/pkg-install.in | |
parent | c7651500a041b224f401ba85fc192aac6ad83c1c (diff) |
This commit was manufactured by cvs2svn to create tag 'RELEASE_5_EOL'.5-eol
Notes
Notes:
svn path=/head/; revision=214069
svn path=/tags/RELEASE_5_EOL/; revision=214070; tag=5-eol
Diffstat (limited to 'www/squid31/files/pkg-install.in')
-rw-r--r-- | www/squid31/files/pkg-install.in | 81 |
1 files changed, 0 insertions, 81 deletions
diff --git a/www/squid31/files/pkg-install.in b/www/squid31/files/pkg-install.in deleted file mode 100644 index 8e87a6c545c8..000000000000 --- a/www/squid31/files/pkg-install.in +++ /dev/null @@ -1,81 +0,0 @@ -#!/bin/sh -# -# $FreeBSD$ -# - -PATH=/bin:/usr/bin:/usr/sbin -pkgname=$1 -squid_base="${PKG_PREFIX:-%%PREFIX%%}/squid" -squid_confdir="${PKG_PREFIX:-%%PREFIX%%}/etc/squid" -if [ -x /usr/sbin/nologin ]; then - nologin=/usr/sbin/nologin -else - nologin=/sbin/nologin -fi -squid_user="%%SQUID_UID%%" -squid_group="%%SQUID_GID%%" -squid_gid=100 -squid_uid=100 -case $2 in -PRE-INSTALL) - echo "===> Pre-installation configuration for ${pkgname}" - if ! pw groupshow ${squid_group} -q >/dev/null ; then - echo "There is no group '${squid_group}' on this system, so I will try to create it (using group id ${squid_gid}):" - if ! pw groupadd ${squid_group} -g ${squid_gid} -q ; then - echo "Failed to create group \"${squid_group}\"!" >&2 - echo "Please create it manually." >&2 - exit 1 - else - echo "Group '${squid_group}' created successfully:" - fi - else - echo "I will use the existing group '${squid_group}':" - fi - pw groupshow ${squid_group} - - if ! pw usershow ${squid_user} -q >/dev/null ; then - echo "There is no account '${squid_user}' on this system, so I will try to create it (using user id ${squid_uid}):" - if ! pw useradd -q -n ${squid_user} \ - -u ${squid_uid} -g ${squid_group} \ - -c "Squid caching-proxy pseudo user" \ - -d "${squid_base}" -s "${nologin}" \ - -h - ; then - echo "Failed to create user '${squid_user}'!" >&2 - echo "Please create it manually." >&2 - exit 1 - else - echo "User '${squid_user}' created successfully:" - fi - else - echo "I will use the existing user '${squid_user}':" - fi - pw usershow ${squid_user} - for dir in cache logs; do - if [ ! -d ${squid_base}/${dir} ]; then - echo "Creating ${squid_base}/${dir}..." - install -d -o ${squid_user} -g ${squid_group} \ - -m 0750 ${squid_base}/${dir} - fi - done - if [ ! -d ${squid_confdir} ]; then - echo "Creating ${squid_confdir}..." - install -d -o root -g ${squid_group} \ - -m 0750 ${squid_confdir} - fi - ;; -POST-INSTALL) - for file in cachemgr.conf mime.conf squid.conf; do - if [ ! -f ${squid_confdir}/${file} \ - -a -f ${squid_confdir}/${file}.default ]; then - echo "Creating ${file} from default..." - install -c -o root -g ${squid_group} -m 0640 \ - ${squid_confdir}/${file}.default \ - ${squid_confdir}/${file} - fi - done - ;; -*) - exit 64 - ;; -esac -exit 0 |